/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /tmp/buildd/ros-hydro-play-motion-msgs-0.4.0-0raring-20150328-1136/obj-x86_64-linux-gnu/devel/share/play_motion_msgs/msg/PlayMotionResult.msg
 *
 */


#ifndef PLAY_MOTION_MSGS_MESSAGE_PLAYMOTIONRESULT_H
#define PLAY_MOTION_MSGS_MESSAGE_PLAYMOTIONRESULT_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace play_motion_msgs
{
template <class ContainerAllocator>
struct PlayMotionResult_
{
  typedef PlayMotionResult_<ContainerAllocator> Type;

  PlayMotionResult_()
    : error_code(0)
    , error_string()  {
    }
  PlayMotionResult_(const ContainerAllocator& _alloc)
    : error_code(0)
    , error_string(_alloc)  {
    }



   typedef int32_t _error_code_type;
  _error_code_type error_code;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _error_string_type;
  _error_string_type error_string;


    enum { SUCCEEDED = 1 };
     enum { MOTION_NOT_FOUND = -1 };
     enum { CONTROLLER_BUSY = -3 };
     enum { MISSING_CONTROLLER = -4 };
     enum { TRAJECTORY_ERROR = -5 };
     enum { GOAL_NOT_REACHED = -6 };
     enum { PLANNER_OFFLINE = -7 };
     enum { NO_PLAN_FOUND = -8 };
     enum { OTHER_ERROR = -42 };
 

  typedef boost::shared_ptr< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> const> ConstPtr;
  boost::shared_ptr<std::map<std::string, std::string> > __connection_header;

}; // struct PlayMotionResult_

typedef ::play_motion_msgs::PlayMotionResult_<std::allocator<void> > PlayMotionResult;

typedef boost::shared_ptr< ::play_motion_msgs::PlayMotionResult > PlayMotionResultPtr;
typedef boost::shared_ptr< ::play_motion_msgs::PlayMotionResult const> PlayMotionResultConstPtr;

// constants requiring out of line definition

   

   

   

   

   

   

   

   

   



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace play_motion_msgs

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'play_motion_msgs': ['/tmp/buildd/ros-hydro-play-motion-msgs-0.4.0-0raring-20150328-1136/msg', '/tmp/buildd/ros-hydro-play-motion-msgs-0.4.0-0raring-20150328-1136/obj-x86_64-linux-gnu/devel/share/play_motion_msgs/msg'], 'actionlib_msgs': ['/opt/ros/hydro/share/actionlib_msgs/cmake/../msg'], 'std_msgs': ['/opt/ros/hydro/share/std_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "5560cb9a7211cb4b5a730f6f07ec124b";
  }

  static const char* value(const ::play_motion_msgs::PlayMotionResult_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x5560cb9a7211cb4bULL;
  static const uint64_t static_value2 = 0x5a730f6f07ec124bULL;
};

template<class ContainerAllocator>
struct DataType< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "play_motion_msgs/PlayMotionResult";
  }

  static const char* value(const ::play_motion_msgs::PlayMotionResult_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\
int32 error_code\n\
int32 SUCCEEDED             = 1\n\
int32 MOTION_NOT_FOUND      = -1\n\
# controller error codes\n\
int32 CONTROLLER_BUSY       = -3\n\
int32 MISSING_CONTROLLER    = -4\n\
int32 TRAJECTORY_ERROR      = -5\n\
int32 GOAL_NOT_REACHED      = -6\n\
# planner error codes\n\
int32 PLANNER_OFFLINE       = -7\n\
int32 NO_PLAN_FOUND         = -8\n\
#other\n\
int32 OTHER_ERROR           = -42\n\
\n\
string error_string\n\
";
  }

  static const char* value(const ::play_motion_msgs::PlayMotionResult_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.error_code);
      stream.next(m.error_string);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct PlayMotionResult_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::play_motion_msgs::PlayMotionResult_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::play_motion_msgs::PlayMotionResult_<ContainerAllocator>& v)
  {
    s << indent << "error_code: ";
    Printer<int32_t>::stream(s, indent + "  ", v.error_code);
    s << indent << "error_string: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.error_string);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PLAY_MOTION_MSGS_MESSAGE_PLAYMOTIONRESULT_H
